## restrictedpython 4.0~b3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build/docs

# User-friendly check for sphinx-build
#ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
#	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
#endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) . $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) . $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) . $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RestrictedPython.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RestrictedPython.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RestrictedPython"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RestrictedPython"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## restrictedpython 3.6.0

=== debian/changelog ===
restrictedpython (3.6.0-0ubuntu4) saucy; urgency=low

  * debian/patches/remove_new_python_tests.patch: remove, this was needed to
    support python 2.6
  * debian/patches/no_requires.patch: remove, now handled by dh_python2.
  * debian/copyright: update to copyright-format 1.0
  * debian/tests: switch to zope.testrunner.
  * Update Standards-Version to 3.9.4

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 04 Jul 2013 00:37:44 +0300

restrictedpython (3.6.0-0ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:13:36 +0000

restrictedpython (3.6.0-0ubuntu2) oneiric; urgency=low

  * Use dh_python2 instead of deprecated python-central (LP: #831411).

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 24 Aug 2011 19:09:29 +0300

restrictedpython (3.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Convert to debhelper 7, do not use van.pydeb
  * Update Standards-Version to 3.8.4
  * Build only for python >= 2.6
  * debian/patches/add_license.dpatch: remove, the tarball now includes
    a license.
  * debian/patches/remove_new_python_tests.dpatch: remove, this was needed
    to support python 2.4 and 2.5
  * debian/patches/remove_new_python_tests.patch: add a similar patch
    to remove tests that do not compile with python 2.6
  * debian/patches/no_requires.patch: remove unneeded setuptools dependency
  * debian/copyright: convert to dep5 format

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 26 Aug 2010 04:14:24 +0300

restrictedpython (3.5.1-0ubuntu4) lucid; urgency=low

  * Upload for Lucid (LP: #520199)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 11 Feb 2010 02:53:49 +0200

restrictedpython (3.5.1-0ubuntu3) karmic; urgency=low

  * debian/patches/add_license.dpatch: New patch to add a license
  * List dpatch and debhelper in Build-Depends, others in Build-Depends-Indep

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 11 Feb 2010 13:23:27 +0200

restrictedpython (3.5.1-0ubuntu2) karmic; urgency=low

  * Switch to using van.pydeb
  * Fix debian/tests to work on python2.6
  * Limit Python-Versions to << 2.7, this version handles only up to 2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 11 Feb 2010 02:41:09 +0200

restrictedpython (3.5.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Add copyright
  * debian/patches/remove_new_python_tests.dpatch: remove windows newlines

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 05 Jan 2010 19:40:40 +0200

python-restrictedpython (3.4.3-1) hardy; urgency=low

  * New upstream release
  * Build for all python versions
  * Build-depend on dpatch
  * debian/patches/remove_new_python_tests.dpatch: remove tests that do not
    compile on python 2.4, causing install to fail.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 22 May 2009 19:03:54 +0300

python-restrictedpython (3.4.2-2) gutsy; urgency=low

  * Add conflicts: zope3

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 03:17:48 +0200

python-restrictedpython (3.4.2-1ubuntu1) gutsy; urgency=low

  * Restrict to python 2.4 based on zope-dev mailing list chatter claiming
    restricted python is a problem for python 2.5 migrtion.

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 21 Apr 2008 19:37:18 +0200

python-restrictedpython (3.4.2-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: restrictedpython
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.7

Package: python-restrictedpython
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Conflicts: zope3
Description: Restricted execution environment for Python
 RestrictedPython provides a restricted execution environment for Python,
 e.g. for running untrusted code.

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/R/RestrictedPython/RestrictedPython-(.*)\.(?:tar\.gz|zip)

## restrictedpython 4.0~b3

=== debian/changelog ===
restrictedpython (4.0~b3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
    + Set Rules-Requires-Root:no
  * Bump debhelper compat level to 11.
  * Add missing test dependency on python3-all.  Closes: #904210

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 14:54:43 +0200

restrictedpython (4.0~b3-1) unstable; urgency=medium

  [ Christoph Berg ]
  * New upstream version.
  * Add B-D: dh-python.
  * Add http://restrictedpython.readthedocs.io/en/latest/ as Homepage,
    suggested by Chris Lamb, thanks! (Closes: #888759)
  * Add python3-distutils test dependency. (Closes: #895567)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 16 Apr 2018 16:01:48 +0200

restrictedpython (4.0~b2-1) unstable; urgency=medium

  * Initial Debian package, packaging based on Ubuntu package.
  * Create python3 package only.
  * Update package description.
  * Update watchfile for changed pypi paths.
  * Run wrap-and-sort -ast.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jan 2018 21:11:34 +0100

=== debian/control ===
Source: restrictedpython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
X-Python3-Version: >= 3.2
Vcs-Git: https://salsa.debian.org/python-team/modules/restrictedpython.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/restrictedpython
Homepage: http://restrictedpython.readthedocs.io/en/latest/

Package: python3-restrictedpython
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Restricted execution environment for Python 3
 RestrictedPython is a tool that helps to define a subset of the Python
 language which allows one to provide a program input into a trusted
 environment. RestrictedPython is not a sandbox system or a secured
 environment, but it helps to define a trusted environment and execute
 untrusted code inside of it.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = restrictedpython

override_dh_auto_test:
	# ignore for now

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: all
Depends: @, python3-distutils, python3-zope.testrunner, python3-all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/RestrictedPython/RestrictedPython-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## restrictedpython 6.2

=== docs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
-BUILDDIR      = ../build/docs
+BUILDDIR      = ../_build/docs
 
 # User-friendly check for sphinx-build
 #ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)

=== debian/changelog ===
restrictedpython (6.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Christoph Berg ]
  * New upstream version 6.2. (Closes: #1041429, CVE-2023-37271)
  * Enable build-time tests.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Sep 2023 16:42:31 +0200

restrictedpython (4.0~b3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.

  [ Christoph Berg ]
  * d/tests: Use autodep8 test instead of the zope no-op one.
    (Closes: #909487, #1001482)
  * d/clean: Remove src/RestrictedPython.egg-info/, it's changing at
    build-time.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 13:59:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: restrictedpython
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pytest,
+ python3-pytest-mock,
  python3-pytest-runner,
  python3-setuptools,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.2
-Vcs-Git: https://salsa.debian.org/python-team/modules/restrictedpython.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/restrictedpython
-Homepage: http://restrictedpython.readthedocs.io/en/latest/
+Vcs-Git: https://salsa.debian.org/python-team/packages/restrictedpython.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/restrictedpython
+Homepage: https://restrictedpython.readthedocs.io/en/latest/
 
 Package: python3-restrictedpython
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = restrictedpython

%:
	dh $@ --with python3 --buildsystem=pybuild

## restrictedpython 8.0

=== debian/changelog ===
restrictedpython (8.0-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Accept lower-case restrictedpython-*.
  * New upstream release:
    - CVE-2024-47532: Prevent information leakage via `AttributeError.obj`
      and the `string` module (closes: #1084057).
    - CVE-2025-22153: Disallow `try/except*` clauses due to a possible
      sandbox escape and probable uselessness of this feature in the context
      of `RestrictedPython`.  In addition, remove `ExceptionGroup` from
      `safe_builtins` (as useful only with `try/except*`) (closes:
      #1094026).
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2025 20:35:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pytest,
  python3-pytest-mock,
@@ -17,6 +18,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/restrictedpython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/restrictedpython
 Homepage: https://restrictedpython.readthedocs.io/en/latest/
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-restrictedpython
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/RestrictedPython/(?:(?i)RestrictedPython)-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## restrictedpython 8.1

=== debian/changelog ===
restrictedpython (8.1-1) unstable; urgency=medium

  * New upstream version 8.1
  * Adopt package; new maintainer. (Closes: #980149)
  * Change d/watch to version 4
  * Update d/copyright

 -- Diwa Tomy <servalthecat19@tutamail.com>  Mon, 03 Nov 2025 18:28:16 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
+ Diwa Tomy <servalthecat19@tutamail.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,7 +14,7 @@
  python3-pytest-mock,
  python3-pytest-runner,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/restrictedpython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/restrictedpython

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = restrictedpython

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
https://pypi.debian.net/RestrictedPython/restrictedpython-(.+)\.(?:tar\.gz|zip|tar\.bz2)
